Set permissions in install script.
authorFlorian Pose <fp@igh-essen.com>
Wed, 17 May 2006 09:28:43 +0000
changeset 242 1161d9e7a959
parent 241 cd90a22cab28
child 243 f288d557854c
Set permissions in install script.
Makefile
install.sh
--- a/Makefile	Wed May 17 09:22:31 2006 +0000
+++ b/Makefile	Wed May 17 09:28:43 2006 +0000
@@ -58,7 +58,6 @@
 cleandoc:
 	@rm -rf doc
 
-
 install:
 	@./install.sh $(KERNEL) $(DEVICEINDEX)
 
--- a/install.sh	Wed May 17 09:22:31 2006 +0000
+++ b/install.sh	Wed May 17 09:28:43 2006 +0000
@@ -76,6 +76,7 @@
 
 echo "  installing startup script..."
 cp ethercat.sh /etc/init.d/ethercat || exit 1
+chmod +x /etc/init.d/ethercat || exit 1
 if [ ! -L /usr/sbin/rcethercat ]; then
     ln -s /etc/init.d/ethercat /usr/sbin/rcethercat || exit 1
 fi
@@ -84,6 +85,7 @@
 
 echo "  installing tools..."
 cp tools/ec_list.pl /usr/local/bin/ec_list || exit 1
+chmod +x /usr/local/bin/ec_list || exit 1
 
 # Finish